MSGQ(8)

NAME
msgq - message routing daemon for the Command Channel

SYNOPSIS

msgq [-m number] [-v] [--msgq-port number] [--verbose]

DESCRIPTION

The msgq daemon provides message routing for the Command Channel.

The Command Channel is a message bus and subscription manager. Programs may subscribe to certain groups to receive messages for that group. Every new connection to the msgq is assigned a unique identifier -- this is the local name. The commands it handles are:

    • getlname — receive local name.

    • send — send a message to defined subscribers.

    • subscribe — add a subscription. This means it is a listener for messages for a specific group.

    • unsubscribe — remove a subscription.

It listens on 127.0.0.1.

The msgq daemon may be cleanly stopped by sending the SIGTERM signal to the process. This shutdown does not notify the subscribers.

OPTIONS

The arguments are as follows:

-m number, --msgq-port number
    The port number that msgq will listen on. The default is 9912.

-v, --verbose
    Enabled verbose mode. This enables diagnostic messages to STDERR. Displays more about what msgq is doing.

SEE ALSO

bind10(8), BIND 10 User Guide.

AUTHORS

The msgq daemon and Control Channel specification were initially designed by Michael Graff of ISC.

HISTORY

The python version was first coded in December 2009. The C version with now deprecated wire format was coded in September 2009.

COPYRIGHT
Copyright © 2010 Internet Systems Consortium, Inc. ("ISC")